package com.bcxin.ars.dto.sb;

import com.bcxin.ars.dto.SearchDto;
import com.bcxin.ars.model.Order;
import com.bcxin.ars.model.Order;

import java.util.List;

/**
 *保安奖励搜索类
 * @author Ethan
 */
public class OrderSearchDto extends SearchDto<Order> {

	/**
	 * 订单ID
	 */
	private long id;

	public long getId() {
		return id;
	}

	public void setId(long id) {
		this.id = id;
	}

	/**
	 * 培训机构ID
	 */
	private Long trainorgid;

	public Long getTrainorgid() {
		return trainorgid;
	}

	public void setTrainorgid(Long trainorgid) {
		this.trainorgid = trainorgid;
	}

	/**
	 * 订单号
	 */
	private String ordernumber;

	/**
	 * 商品名称
	 */
	private String goodsname;

	/**
	 * 购买保安公司名称
	 */
	private String companyname;

	/**
    * 培训类型 1、初级保安员课程 2、任务管理+继续再教育课程 8、保安员资格证培训课程
    */
    private String traintype;
	    
	public String getOrdernumber() {
		return ordernumber;
	}

	public void setOrdernumber(String ordernumber) {
		this.ordernumber = ordernumber;
	}

	public String getGoodsname() {
		return goodsname;
	}

	public void setGoodsname(String goodsname) {
		this.goodsname = goodsname;
	}

	public String getCompanyname() {
		return companyname;
	}

	public void setCompanyname(String companyname) {
		this.companyname = companyname;
	}

	public String getTraintype() {
		return traintype;
	}

	public void setTraintype(String traintype) {
		this.traintype = traintype;
	}
}
